#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

typedef struct ComponentFatness
{
	ECSComponent component;
	u32 value;
} ComponentFatness;

void component_fatness_tick(ComponentFatness* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_FATNESS_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_fatness_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_FATNESS,
	.size = sizeof(ComponentFatness)
};
